%global pypi_name sip

# comment out if not dev snapshot
#global dev     dev2206062241

%global rel     1

Name:           python-sip6
Version:        6.7.6
Release:        %mkrel %{?dev:0.%dev.}%{rel}
Summary:        SIP - Python/C++ Bindings Generator
Group:          Development/Python
# code_generator/parser.{c.h} is GPLv2+ with exceptions (bison)
License:        (GPLv2 or GPLv3) and (GPLv2+ with exceptions)
URL:            https://www.riverbankcomputing.com/software/sip
%if 0%{?dev:1}
Source0:        https://www.riverbankcomputing.com/pypi/packages/sip/sip-%{version}.%{dev}.tar.gz
%else
Source0:        %{pypi_source}
%endif

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-toml
BuildRequires:  python3-ply

%description
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library. For example it is also used to generate wxPython, the
Python bindings for wxWidgets.

%package -n python3-sip6
Summary:        SIP - Python/C++ Bindings Generator
%{?python_provide:%python_provide python3-sip6}
Provides:       sip6 = %{version}-%{release}
# Doesn't like to live with older sip
Conflicts:      python3-sip

%description -n python3-sip6
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library. For example it is also used to generate wxPython, the
Python bindings for wxWidgets.

#--------------------------------------------------------------------

%prep
%autosetup -n %{pypi_name}-%{version}%{?dev:.%dev} -p 1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sipbuild

%check
%pyproject_check_import

%files -n python3-sip6 -f %{pyproject_files}
%doc README
%{_bindir}/sip*


%changelog
* Mon Jan 30 2023 daviddavid <daviddavid> 6.7.6-1.mga9
+ Revision: 1937019
- new version: 6.7.6

* Sun Dec 18 2022 wally <wally> 6.7.5-1.mga9
+ Revision: 1925204
- new version 6.7.5

* Sat Oct 22 2022 ghibo <ghibo> 6.7.2-1.mga9
+ Revision: 1898496
- Update to release 6.7.2

* Tue Aug 09 2022 wally <wally> 6.6.2-1.mga9
+ Revision: 1876313
- new version 6.6.2
- switch build to use pyproject RPM macros

* Thu Jun 09 2022 wally <wally> 6.6.2-0.dev2206062241.1.mga9
+ Revision: 1863778
- new version 6.6.2.dev2206062241
- fix descriptions

* Thu May 19 2022 wally <wally> 6.5.1-4.mga9
+ Revision: 1859238
- rename binary pkg as python3-sip6
- conflict with older python3-sip

* Sat Mar 19 2022 umeabot <umeabot> 6.5.1-3.mga9
+ Revision: 1799296
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 guillomovitch <guillomovitch> 6.5.1-2.mga9
+ Revision: 1784169
- run tests

* Sat Feb 12 2022 neoclust <neoclust> 6.5.1-1.mga9
+ Revision: 1773239
- imported package python-sip6

